summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/setup.py43
-rwxr-xr-xci/verify.sh38
2 files changed, 27 insertions, 54 deletions
diff --git a/ci/setup.py b/ci/setup.py
deleted file mode 100755
index d40ef9f..0000000
--- a/ci/setup.py
+++ /dev/null
@@ -1,43 +0,0 @@
-##############################################################################
-# Copyright (c) 2015 EMC and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-
-from setuptools import setup, find_packages
-
-
-setup(
- name="storperf",
- version="0.dev0",
- packages=find_packages(),
- include_package_data=True,
- package_data={
- 'storperf': [
- 'storperf/resources/hot/*'
- ]
- },
- url="https://www.opnfv.org",
- install_requires=["flask==0.10",
- "flask-restful==0.3.5",
- "flask-restful-swagger==0.19",
- "html2text==2016.1.8",
- "python-cinderclient==1.6.0",
- "python-glanceclient==1.1.0",
- "python-heatclient==0.8.0",
- "python-keystoneclient==1.6.0",
- "python-neutronclient==2.6.0",
- "python-novaclient==2.28.1",
- "pyyaml==3.10",
- "requests==2.13.0",
- "six==1.10.0"
- ],
- entry_points={
- 'console_scripts': [
- 'storperf=storperf.main:main',
- ],
- }
-)
diff --git a/ci/verify.sh b/ci/verify.sh
index feb84d2..cd5bbbb 100755
--- a/ci/verify.sh
+++ b/ci/verify.sh
@@ -45,19 +45,35 @@ pip install requests==2.13.0
pip install scp==0.10.2
pip install six==1.10.0
-python ci/setup.py develop
-
-flake8 storperf
+final_rc=0
+flake8 docker/storperf-*
flake8rc=$?
-nosetests --with-xunit \
- --with-coverage \
- --cover-package=storperf\
- --cover-xml \
- --cover-html \
- tests
-rc=$?
+for testdir in docker/storperf-*
+do
+ if [ -d $testdir/tests ]
+ then
+ cwd=$(pwd)
+ cd $testdir
+
+ nosetests --with-xunit \
+ --with-coverage \
+ --cover-package=storperf\
+ --cover-xml \
+ --cover-html \
+ tests
+ rc=$?
+ if [ $rc -ne 0 ]
+ then
+ final_rc=$rc
+ fi
+ cd $cwd
+ fi
+done
+
+cp ./docker/storperf-master/coverage.xml .
+cp ./docker/storperf-master/nosetests.xml .
deactivate
@@ -67,4 +83,4 @@ then
exit $flake8rc
fi
-exit $rc
+exit $final_rc